## SnapdInterface SnapdInterface — Snap interface info |

## Functions

const gchar * | snapd_interface_get_name ()
const gchar * | snapd_interface_get_summary ()
const gchar * | snapd_interface_get_doc_url ()
GPtrArray * | snapd_interface_get_plugs ()
GPtrArray * | snapd_interface_get_slots ()
gchar * | snapd_interface_make_label ()

## Properties

char * | doc-url | Read / Write / Construct Only
char * | name | Read / Write / Construct Only
GPtrArray * | plugs | Read / Write / Construct Only
GPtrArray * | slots | Read / Write / Construct Only
char * | summary | Read / Write / Construct Only

## Types and Values

| SnapdInterface

## Object Hierarchy

        GObject
        ╰── SnapdInterface

## Includes

    #include <snapd-glib/snapd-glib.h>

## Description

A SnapdInterface represents information about a particular interface type and the related plugs and slots provided by snaps on the system.

Available interfaces can be queried using `snapd_client_get_interfaces2_sync()`.

## Functions

### snapd_interface_get_name ()

    const gchar *
    snapd_interface_get_name (SnapdInterface *interface);

Get the name of this interface.

#### Parameters

interface | a SnapdInterface |

#### Returns

a name.

Since: 1.48

### snapd_interface_get_summary ()

    const gchar *
    snapd_interface_get_summary (SnapdInterface *interface);

Get the summary of this interface.

#### Parameters

interface | a SnapdInterface |

#### Returns

a summary.

Since: 1.48

### snapd_interface_get_doc_url ()

    const gchar *
    snapd_interface_get_doc_url (SnapdInterface *interface);

Get the documentation URL of this interface.

#### Parameters

interface | a SnapdInterface |

#### Returns

a URL.

Since: 1.48

### snapd_interface_get_plugs ()

    GPtrArray *
    snapd_interface_get_plugs (SnapdInterface *interface);

Get the plugs matching this interface type.

#### Parameters

interface | a SnapdInterface |

#### Returns

an array of SnapdPlug.

[transfer none][element-type SnapdPlug]

Since: 1.48

### snapd_interface_get_slots ()

    GPtrArray *
    snapd_interface_get_slots (SnapdInterface *interface);

Get the slots matching this interface type.

#### Parameters

interface | a SnapdInterface |

#### Returns

an array of SnapdSlot.

[transfer none][element-type SnapdSlot]

Since: 1.48

### snapd_interface_make_label ()

    gchar *
    snapd_interface_make_label (SnapdInterface *interface);

Make a label for this interface suitable for a user interface.

#### Parameters

interface | a SnapdInterface |

#### Returns

a newly allocated label string.

Since: 1.57

## Types and Values

### SnapdInterface

    typedef struct _SnapdInterface SnapdInterface;

SnapdInterface contains information about a Snap interface.

Since: 1.48

## Property Details

### The `“doc-url”` property

      “doc-url”                  char *

Interface documentation URL.

Owner: SnapdInterface

Flags: Read / Write / Construct Only

Default value: NULL

### The `“name”` property

      “name”                     char *

Interface name.

Owner: SnapdInterface

Flags: Read / Write / Construct Only

Default value: NULL

### The `“plugs”` property

      “plugs”                    GPtrArray *

Plugs of this interface type.

Owner: SnapdInterface

Flags: Read / Write / Construct Only

### The `“slots”` property

      “slots”                    GPtrArray *

Slots of this interface type.

Owner: SnapdInterface

Flags: Read / Write / Construct Only

### The `“summary”` property

      “summary”                  char *

Interface summary.

Owner: SnapdInterface

Flags: Read / Write / Construct Only

Default value: NULL